<link rel="stylesheet" href="css/font.css" type="text/css" />
<script>
function ink_report_print(url)
{
onmouseover432= window.open(url,'onmouseover432','height=580,width=1100,scrollbars=yes,left=50,top=50,toolbar=no,location=no,directories=no,status=no,menubar=no');
}
</script>
<?php error_reporting(0);
/*********************************Get Found Result And Pagination********************************************************/
include("../../include/db.php");
$type_1=$_GET['type_1'];

?>
<?php
include("../../include/db.php"); 
function get_shift_name_from_mach($shift_time)
{
$sql_query11="select * from shift_creation where id='$shift_time' ";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
 $to_time=$rsdata11->to_time;
 $shift_name=$rsdata11->shift_name;
  $from_time=$rsdata11->from_time;

 } 
 $tot_shift=array($from_time,$to_time,$shift_name);
 return $tot_shift;
}


function get_machine_name($machine_no)
{
 $sql_query11="select * from machine_creation where id='$machine_no' ";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
 $machine_no=$rsdata11->machine_no;
 } 
return $machine_no;
}

function get_operator_id($operator_id)
{
$sql_query11="select * from operator_creation where id='$operator_id' ";
$rs11=mysql_query($sql_query11);
 while($rsdata11=mysql_fetch_object($rs11))
 {
 $operator_name=$rsdata11->operator_name;
 } 
return $operator_name;
}


 $item_name4=$_GET['item_name'];
  $from_date=$_GET['from_date'];
 $to_date=$_GET['to_date'];
 $cur_date=date("Y-m-d");
if($from_date!=""){ $from_date1= "DATE_FORMAT(ink_date,'%Y-%m-%d')>='$from_date'"; }else{$from_date1=""; }
if($to_date!=""){ $to_date1 = "DATE_FORMAT(ink_date,'%Y-%m-%d')<='$to_date'";}else{$to_date1="";}
if($item_name4!=""){ $item_name41 = "particulars='$item_name4'";}else{$item_name41="";}

$all_value10 = $from_date1."@".$to_date1."@".$item_name41;
$all_array10 = explode('@',$all_value10);
foreach($all_array10 as $value10)
{ 
if($value10!='')
{
$get_query102 .= $value10." AND ";
}
}    ?>
<style type="text/css">

.style1 {font-size: 16px}

</style>
<table width="100%">
<tr>
<td width="1%" height="38">&nbsp;</td>
<td width="7%" class="style15">&nbsp;</td> 
<td width="13%" align="center">&nbsp;</td>
<td width="1%">&nbsp;</td>
<td width="6%" class="style15">&nbsp;</td>
<td width="14%" align="center"  class="style15">&nbsp;</td>
<td width="2%">&nbsp;</td>
<td width="11%" class="style15">&nbsp;</td>
<td width="24%" align="left" >&nbsp;</td>
<td width="8%" align="center">&nbsp;</td>
<td width="2%"></td>
<td width="7%" align="center"><a href="javascript:ink_report_print('report/ink_report/ink_purchases_report_print.php?item_name=<?php echo $_GET['item_name'];?>&from_date=<?php echo $_GET['from_date']; ?>&to_date=<?php echo $_GET['to_date']; ?>&type_1=<?php echo $_GET['type_1']; ?>');" style="text-decoration:none;"><img src="img/PrinterBlack.png" width="35" height="30" title="Print" value="Print"/></a></td>
  </tr>
</table>
<div class="container">
<div class="row-fluid">
<div class="span12">
<div class="table-responsive">
<div class="CSSTableGenerator">  
<table border="0" width="100%"  align="center" cellpadding="0" cellspacing="0"  >
<thead>
<tr>
 
 <th height="23" colspan="2"  valign="middle">Purchases</th>


</tr>
<tr>   
   
 <th height="23" colspan="2" valign="middle">

<table border="0" width="99%"  align="center" cellpadding="0" cellspacing="0"  >
<tr>
  <th   align="left" >S.No</th>
    <th   align="left" >Date</th>
    <th  align="left" >Invoice No</th>
    <th   align="left" >Supplier</th>
    <th   align="left" >Particulars</th>
    <th   align="left" >Qty</th>
   
 </tr>
 
 </td>
 
 <td colspan="2">
 
     
<?php 
$i=0;
if($from_date!='')
{
 $sql="select sum(qty) as qty,entrydates,invoice_no,supplier_name,particulars from ink_pur_sublist where $get_query102 id!=''  group by invoice_no,supplier_name,particulars,entrydates order by particulars ASC ";
}
else
{  
 $sql="select sum(qty) as qty,entrydates,invoice_no,supplier_name,particulars from ink_pur_sublist where DATE_FORMAT(ink_date,'%Y-%m-%d')='$cur_date' group by invoice_no,supplier_name,particulars,entrydates  order by particulars ASC ";

}
    $rs=mysql_query($sql);
	$rscount1=mysql_num_rows($rs);
	if($rscount1!='')
	{
	$s_no=0;
   		while($rsdata=mysql_fetch_array($rs))
  			{
          $i=$i+1;
				 $invoice_no=$rsdata['invoice_no'];
				 $supplier_name=$rsdata['supplier_name'];
				 $particulars=$rsdata['particulars'];
			     $qty=$rsdata['qty'];
				 $entrydates=$rsdata['entrydates'];
		?>
        <tr>
          <td  align="left" style="border:1px solid #ddd" ><?php  echo $i; ?>&nbsp;&nbsp;</td>
          <td  height="28" align="left" style="border:1px solid #ddd; width: 195px;" >&nbsp;&nbsp;&nbsp;<?php echo date("d-m-Y",strtotime($entrydates)); ?></td>
          <td  align="left" style="border:1px solid #ddd;width: 315px;" ><?php  echo $invoice_no; ?>&nbsp;&nbsp;</td>
          <td  align="left" style="border:1px solid #ddd;width: 415px;" ><?php  echo $supplier_name; ?>&nbsp;&nbsp;</td>
          <td  align="left" style="border:1px solid #ddd;width: 450px;" ><?php  echo $particulars; ?>&nbsp;&nbsp;</td>
          <td  align="right" style="border:1px solid #ddd" ><?php  echo number_format($qty,2); ?>&nbsp;&nbsp;</td>
          </tr>
		  <?php 
		  $sum_tot+=$qty;
		  }
		  }
		  ?>
        
   
    <tr>
 
   
       <th height="28" colspan="5" align="right" style="border:1px solid #ddd" ><strong>Total&nbsp;&nbsp;</strong></th>
          
          <th width="87" align="right" style="border:1px solid #ddd" ><strong><?php  echo number_format($sum_tot,2); ?>&nbsp;&nbsp;</strong></th>
    </tr>
    </table>
 </td>